"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const lib_1 = require("../lib");
describe('types', () => {
    test('insert', () => {
        expect(lib_1.Changeset.insert({
            id: '123',
            status: 'created',
        })).toStrictEqual({
            action: 'insert',
            data: {},
            changes: {
                id: '123',
                status: 'created',
            },
        });
    });
    test('update', () => {
        const before = {
            id: '123',
            status: 'created',
        };
        const now = new Date();
        expect(lib_1.Changeset.update(before, {
            status: 'running',
            startedAt: now,
        })).toStrictEqual({
            action: 'update',
            data: before,
            changes: {
                status: 'running',
                startedAt: now,
            },
        });
    });
});
//# sourceMappingURL=types.spec.js.map